# Makefile for dvipsk -- kb@mail.tug.org. Public domain.
version = 5.66a

# Add -DDEFRES=dpi to DEFS to change the default resolution from 600.
# Add -DSECURE if you will install dvips with special privileges.
# Add -DNO_DEBUG to omit debugging support.
# Add -DNO_EMTEX to omit EMTEX specials.
# Add -DNO_HPS to omit hypertex support.
# Add -DNO_TPIC to omit tpic support.
# 
# For VM/CMS or (perhaps) VMS or DOS compilation, need the corresponding
# subdirectory from the original dvips distribution.  (Maybe dvipsk
# won't work at all on such systems; if you have info one way or the
# other, please let kb@cs.umb.edu know.)

ac_include ../make/paths.make
ac_include ../make/common.make
ac_include ../make/programs.make
ac_include ../make/texi.make

# The `-t'[mp] business is so that we don't create an empty .pro file,
# if running squeeze fails for some reason.  A dependency on squeeze
# fails here, so we include it below.
.SUFFIXES: .pro .lpro
.lpro.pro:
	./squeeze <$< >$@-t
	mv $@-t $@
prologues = tex.pro texps.pro texc.pro special.pro finclude.pro \
            color.pro crop.pro hps.pro

objects = dospecial.o dviinput.o emspecial.o fontdef.o loadfont.o       \
dvips.o tfmload.o download.o prescan.o scanpage.o skippage.o output.o   \
scalewidth.o dosection.o dopage.o resident.o search.o unpack.o drawPS.o \
header.o repack.o virtualfont.o dpicheck.o finclude.o t1part.o		\
pprescan.o papersiz.o color.o bbox.o hps.o

program = dvips
programs = afm2tfm $(program)


default all: $(programs) $(prologues) dvips.info

$(program): $(kpathsea) $(objects)
	$(kpathsea_link) $(objects) $(LOADLIBES)
afm2tfm: $(kpathsea) afm2tfm.o
	$(kpathsea_link) afm2tfm.o $(LOADLIBES)
# Omit LOADLIBES since no need to dynamically link with kpathsea.
squeeze: squeeze.o
	$(link_command) squeeze.o $(LIBS) $(XLOADLIBES)

$(prologues): squeeze
texc.lpro: texc.script tex.lpro
	$(SHELL) $(srcdir)/texc.script $(srcdir)/tex.lpro $@

ac_include ../make/tkpathsea.make

check: all
	rm -f mtest.ps
	-./dvips dvipstst -o dvipstst.ps
	mv dvipstst.ps mtest.ps
	./dvips dvipstst -o

install: install-exec install-data
	$(POST_INSTALL)
	@echo "Create $(psheaderdir)/config.ps if necessary (see ./INSTALL)."
uninstall: uninstall-exec uninstall-data

install-exec: all
	$(SHELL) $(top_srcdir)/../mkdirchain $(bindir) $(scriptdir) $(fontdir)
	for p in $(programs); do $(INSTALL_LIBTOOL_PROG) $(bindir) $$p; done
uninstall-exec:
	for p in $(programs); do rm -f $(bindir)/$$p; done

install-data: $(program).info
	$(SHELL) $(top_srcdir)/../mkdirchain $(mandir) $(infodir) $(psheaderdir) $(dvips_plain_macrodir)
# PostScript prologues and encodings.
	for h in $(prologues); do $(INSTALL_DATA) $$h $(psheaderdir)/$$h; done
	cd $(srcdir)/reencode && \
	  for e in *.enc; do $(INSTALL_DATA) $$e $(psheaderdir)/$$e; done
# config.ps. Any one config.ps will be wrong for most people, so don't
# install anything by default.
#	if test ! -r $(psheaderdir)/config.ps				\
#	   || grep 'original config.ps --' $(psheaderdir)/config.ps	\
#	      >/dev/null; then	\
#          $(INSTALL_DATA) $(srcdir)/config.ps $(psheaderdir)/config.ps;	\
#        else true; fi
# psfonts.map.
	if test ! -r $(psheaderdir)/psfonts.map 			\
	   || grep 'original psfonts.map --' $(psheaderdir)/psfonts.map \
	      >/dev/null; then	\
	  $(INSTALL_DATA) $(srcdir)/psfonts.map $(psheaderdir)/psfonts.map; \
        else true; fi
# Info files.
	cd $(srcdir) && for i in $(program).info*; do \
	  $(INSTALL_DATA) $$i $(infodir)/$$i; done
# Man pages.
	$(INSTALL_DATA) $(srcdir)/dvips.1 $(mandir)/dvips.$(manext)
	$(INSTALL_DATA) $(srcdir)/afm2tfm.1 $(mandir)/afm2tfm.$(manext)
# TeX macros.
	cd $(srcdir)/tex && for m in *.tex; do \
	  $(INSTALL_DATA) $$m $(dvips_plain_macrodir)/$$m; done
	$(POSTINSTALL)
	if $(SHELL) -c 'install-info --version' >/dev/null 2>&1; then \
	  install-info --info-dir=$(infodir) $(infodir)/$(program).info; \
	else true; fi

uninstall-data:
	rm -f $(infodir)/dvips.info*
	for h in $(prologues); do rm -f $(psheaderdir)/$$h; done
	cd $(srcdir)/reencode && for e in *.enc; do rm -f $(psheaderdir)/$$e; \
	  done
	if grep 'original config.ps --' $(psheaderdir)/config.ps	\
             >/dev/null 2>&1; then rm -f $(psheaderdir)/config.ps;	\
        else true; fi
	if grep 'original psfonts.map --' $(psheaderdir)/psfonts.map	\
              >/dev/null 2>&1; then rm -f $(psheaderdir)/psfonts.map;	\
        else true; fi
	rm -f $(mandir)/dvips.$(manext) $(mandir)/afm2tfm.$(manext)

distname = dvipsk
program_files = *.texi *.info* *.lpro psfonts.map *.1 texc.script \
  dvips.help $(program).aux $(program).cps dvipstst.dvi
version_files = dvips.h afm2tfm.c dvips.c

pre-dist-$(distname): INSTALL $(program).info $(program).dvi
post-dist-$(distname):
	ln -s `pwd`/contrib `pwd`/tex $(distdir)
	mkdir $(distdir)/reencode; ln -s $(fontname)/*.enc $(distdir)/reencode
	ln -s `pwd`/README.reencode $(distdir)/reencode/README
	rm -f $(distdir)/texc.lpro

ac_include ../make/dist.make
ac_include ../make/config.make

info: $(program).info
dvi: $(program).dvi

##ifdef HOSTNAME
##INSTALL: $(program).texi
##	$(MAKEINFO) -D INSTALLONLY --no-headers --no-split --no-validate \
##	  $(MAKEINFO_FLAGS) $< -o $@
##	add-info-toc $@
##$(program).info: dvips.help
##dvips.help: dvips.c
##	./dvips --help | sed s/@/@@/g >$@
##doc: info INSTALL
##endif

ac_include ../make/clean.make

distclean::
	rm -f *.pro texc.lpro

ac_include ../make/rdepend.make
afm2tfm.o: afm2tfm.c config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h ../kpathsea/c-ctype.h 
bbox.o: bbox.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
color.o: color.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
dopage.o: dopage.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
dosection.o: dosection.c dvips.h config.h ../kpathsea/config.h \
 c-auto.h ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h 
dospecial.o: dospecial.c dvips.h config.h ../kpathsea/config.h \
 c-auto.h ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/c-ctype.h \
 ../kpathsea/tex-hush.h
download.o: download.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h t1part.h ../kpathsea/c-ctype.h 
dpicheck.o: dpicheck.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
drawPS.o: drawPS.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
dviinput.o: dviinput.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
dvips.o: dvips.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/c-pathch.h \
 ../kpathsea/c-ctype.h \
 ../kpathsea/proginit.h ../kpathsea/tex-hush.h ../kpathsea/tex-make.h \
 paths.h
emspecial.o: emspecial.c dvips.h config.h ../kpathsea/config.h \
 c-auto.h ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h 
finclude.o: finclude.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/c-ctype.h 
fontdef.o: fontdef.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/magstep.h
header.o: header.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
hps.o: hps.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/c-ctype.h 
loadfont.o: loadfont.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/c-pathmx.h \
 ../kpathsea/tex-glyph.h ../kpathsea/tex-make.h
output.o: output.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h paths.h 
papersiz.o: papersiz.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
pprescan.o: pprescan.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
prescan.o: prescan.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
repack.o: repack.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
resident.o: resident.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h paths.h ../kpathsea/c-ctype.h \
 ../kpathsea/c-pathch.h ../kpathsea/pathsearch.h \
 ../kpathsea/str-llist.h ../kpathsea/variable.h
scalewidth.o: scalewidth.c dvips.h config.h ../kpathsea/config.h \
 c-auto.h ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
scanpage.o: scanpage.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
search.o: search.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/tex-glyph.h
skippage.o: skippage.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
squeeze.o: squeeze.c 
t1part.o: t1part.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h t1part.h ../kpathsea/c-ctype.h 
tfmload.o: tfmload.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/c-pathmx.h
unpack.o: unpack.c dvips.h config.h ../kpathsea/config.h c-auto.h \
 ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h
virtualfont.o: virtualfont.c dvips.h config.h ../kpathsea/config.h \
 c-auto.h ../kpathsea/c-std.h \
 ../kpathsea/c-unistd.h ../kpathsea/systypes.h \
 ../kpathsea/c-memstr.h \
 ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/c-proto.h ../kpathsea/debug.h ../kpathsea/types.h \
 ../kpathsea/lib.h ../kpathsea/progname.h ../kpathsea/c-fopen.h \
 ../kpathsea/tex-file.h debug.h ../kpathsea/c-pathmx.h
